### Function

# Camel msgport_timeout_pop

since: 3.8

#### Declaration [src]

    CamelMsg*
    camel_msgport_timeout_pop (
      CamelMsgPort* msgport,
      guint64 timeout
    )

#### Description

No description available.

Available since: 3.8

This function is not directly available to language bindings.

#### Parameters

`msgport`

  Type: `CamelMsgPort`

  A `CamelMsgPort`.

  The data is owned by the caller of the function.

`timeout`

  Type: `guint64`

  Number of microseconds to wait.

#### Return value

Type: `CamelMsg`

No description available.

The data is owned by the called function.